<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: lh_table Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">lh_table Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae251575ec2935bcb0e0589ca8e243839"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#ae251575ec2935bcb0e0589ca8e243839">size</a></td></tr>
<tr class="separator:ae251575ec2935bcb0e0589ca8e243839"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa172ed8fe205367b54e0e2cdf9ea8c6c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#aa172ed8fe205367b54e0e2cdf9ea8c6c">count</a></td></tr>
<tr class="separator:aa172ed8fe205367b54e0e2cdf9ea8c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7d986a3b12a9fa47e349713794c30fb"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__entry.html">lh_entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#aa7d986a3b12a9fa47e349713794c30fb">head</a></td></tr>
<tr class="separator:aa7d986a3b12a9fa47e349713794c30fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a479895e45db2bdf9bf5d173fa4b7e277"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__entry.html">lh_entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#a479895e45db2bdf9bf5d173fa4b7e277">tail</a></td></tr>
<tr class="separator:a479895e45db2bdf9bf5d173fa4b7e277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd9c5aba38791b26ab0ec614a5caf8f"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structlh__entry.html">lh_entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#a4fd9c5aba38791b26ab0ec614a5caf8f">table</a></td></tr>
<tr class="separator:a4fd9c5aba38791b26ab0ec614a5caf8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30ea5903f4f8126abd6aa489ffe14737"><td class="memItemLeft" align="right" valign="top"><a class="el" href="linkhash_8h.html#a671553d0ee3c2a123190ba0f8ed2b635">lh_entry_free_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#a30ea5903f4f8126abd6aa489ffe14737">free_fn</a></td></tr>
<tr class="separator:a30ea5903f4f8126abd6aa489ffe14737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1488d1a4a320b1a9bb2f441859544be1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="linkhash_8h.html#a38bae27995dcfb6ee3fb109a9be229b2">lh_hash_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#a1488d1a4a320b1a9bb2f441859544be1">hash_fn</a></td></tr>
<tr class="separator:a1488d1a4a320b1a9bb2f441859544be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa646c287a6a46e09da6c7457c981a359"><td class="memItemLeft" align="right" valign="top"><a class="el" href="linkhash_8h.html#a91fd85fc81b0c7c83c62f00e84729091">lh_equal_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlh__table.html#aa646c287a6a46e09da6c7457c981a359">equal_fn</a></td></tr>
<tr class="separator:aa646c287a6a46e09da6c7457c981a359"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The hash table structure. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aa172ed8fe205367b54e0e2cdf9ea8c6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lh_table::count</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Numbers of entries. </p>

</div>
</div>
<a class="anchor" id="aa646c287a6a46e09da6c7457c981a359"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="linkhash_8h.html#a91fd85fc81b0c7c83c62f00e84729091">lh_equal_fn</a>* lh_table::equal_fn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a30ea5903f4f8126abd6aa489ffe14737"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="linkhash_8h.html#a671553d0ee3c2a123190ba0f8ed2b635">lh_entry_free_fn</a>* lh_table::free_fn</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A pointer onto the function responsible for freeing an entry. </p>

</div>
</div>
<a class="anchor" id="a1488d1a4a320b1a9bb2f441859544be1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="linkhash_8h.html#a38bae27995dcfb6ee3fb109a9be229b2">lh_hash_fn</a>* lh_table::hash_fn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa7d986a3b12a9fa47e349713794c30fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__entry.html">lh_entry</a>* lh_table::head</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The first entry. </p>

</div>
</div>
<a class="anchor" id="ae251575ec2935bcb0e0589ca8e243839"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lh_table::size</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Size of our hash. </p>

</div>
</div>
<a class="anchor" id="a4fd9c5aba38791b26ab0ec614a5caf8f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__entry.html">lh_entry</a>* lh_table::table</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a479895e45db2bdf9bf5d173fa4b7e277"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structlh__entry.html">lh_entry</a>* lh_table::tail</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The last entry. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="linkhash_8h.html">linkhash.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
